Bug 976436 - file detects netpbm files as ASCII files
Summary: file detects netpbm files as ASCII files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: file
Version: 18
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 879183
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-20 14:52 UTC by Hubert Kario
Modified: 2017-07-31 11:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 879183
Environment:
Last Closed: 2014-01-03 11:29:22 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1476753 0 unspecified CLOSED file-5.31 fails to detect PGM Netpbm files 2021-02-22 00:41:40 UTC

Internal Links: 1476753

Description Hubert Kario 2013-06-20 14:52:37 UTC
+++ This bug was initially created as a clone of Bug #879183 +++

Description of problem:
File detects some netpbm files as ASCII or ASCII text, with very long lines.

Version-Release number of selected component (if applicable):
file-5.11-4.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. file pnmmontage-from-ppm.ppm
2. file pgmkernel-from-pgm.pgm
3.
  
Actual results:
pnmmontage-from-ppm.ppm: ASCII text
pgmkernel-from-pgm.pgm: ASCII text, with very long lines

Expected results:
Netpbm file type

Additional info:

--- Additional comment from Iveta Senfeldova on 2012-11-22 04:52:09 EST ---



--- Additional comment from Jan Kaluža on 2012-11-22 04:54:25 EST ---

Just submitted bug report upstream with patch: http://bugs.gw.com/view.php?id=216

--- Additional comment from Jan Kaluža on 2013-06-17 08:45:00 EDT ---

Should be fixed in file-5.11-10.el7.

Comment 1 Fedora End Of Life 2013-12-21 14:05:07 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Hubert Kario 2014-01-03 11:29:22 UTC
Issue is fixed in Fedora 19.

Using file-5.11-11.fc19.x86_64:

$ file pnmmontage-from-ppm.ppm 
pnmmontage-from-ppm.ppm: Netpbm PGM image text, size = 200 x 200, ASCII text
$ file pgmkernel-from-pgm.pgm 
pgmkernel-from-pgm.pgm: Netpbm PGM image text, size = 100 x 100, ASCII text, with very long lines

Closing because Fedora 18 EOL.


Note You need to log in before you can comment on or make changes to this bug.